<?php

require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include('includes/function.php');

$zdb = $_SESSION["zdbyear_" . $dbname];
mysqli_select_db($conn, $zdb);
$admin = $_SESSION["admin_" . $dbname];
$success = false;

$maindb = 'widowhelp';

$file = "widowhelp.php";

$keyfld = "vouchno";
$rangeFrom = $_REQUEST["rangeFrom"];
$rangeTo = $_REQUEST["rangeTo"];
$searchTerm = $_REQUEST["ssearch"];
$operator = $_REQUEST["soperator"];

$cond = "";
if ($operator == "=") {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND `vouchno` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND `name` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND `add1` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND `city` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "5") {
        $cond = "AND `station` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "6") {
        $cond = "AND `tel` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "7") {
        $cond = "AND `mobile` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "8") {
        $cond = "AND `email` = '$searchTerm'";
    }
} else {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND `vouchno` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND `name` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND `add1` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND `city` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "5") {
        $cond = "AND `station` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "6") {
        $cond = "AND `tel` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "7") {
        $cond = "AND `mobile` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "8") {
        $cond = "AND `email` LIKE '%$searchTerm%'";
    }
}

$sortcond = "ORDER BY `vouchno`";
if ($_REQUEST["sortBy"] == "1") {
    $sortcond = " ORDER BY `vouchno`";
} else if ($_REQUEST["sortBy"] == "2") {
    $sortcond = " ORDER BY `name`";
} else if ($_REQUEST["sortBy"] == "3") {
    $sortcond = " ORDER BY `add1`";
} else if ($_REQUEST["sortBy"] == "4") {
    $sortcond = " ORDER BY `city`";
} else if ($_REQUEST["sortBy"] == "5") {
    $sortcond = " ORDER BY `station`";
} else if ($_REQUEST["sortBy"] == "6") {
    $sortcond = " ORDER BY `tel`";
} else if ($_REQUEST["sortBy"] == "7") {
    $sortcond = " ORDER BY `mobile`";
} else if ($_REQUEST["sortBy"] == "8") {
    $sortcond = " ORDER BY `email`";
}


$ordcond = "DESC";
if ($_REQUEST["orderAs"] == "desc") {
    $ordcond = " DESC";
} else {
    $ordcond = " ASC";
}

mysqli_query($conn, "Create temporary table `in` SELECT * FROM `$maindb` where vouchno != '' $keycond") or die(mysqli_error($conn));

$srchresult = "SELECT * FROM `in` WHERE vouchno != '' $cond  $sortcond $ordcond  LIMIT $rangeFrom,$rangeTo" or die(mysqli_error($conn));


$result = mysqli_query($conn, $srchresult) or die(mysqli_error($conn));
$rows = array();
$ctr = 0;
while ($r = mysqli_fetch_assoc($result)) {

    $rows[] = [
        'success' => true,
        'value'    => $ctr,
        'keyfld'   => $keyfld,
        'vouchno'  => $r['vouchno'],
        'name'     => $r['name'],
        'add1'     => $r['add1'],
        'add2'     => $r['add2'],
        'add3'     => $r['add3'],
        'city'     => $r['city'],
        'station'  => $r['station'],
        'tel'      => $r['tel'],
        'mobile'   => $r['mobile'],
        'email'    => $r['email'],
        'action'   => "$file?mode=edit&vouchno=$r[vouchno]&series=$row[series]",
    ];
    $ctr++;
}
header("Content-type: application\json");
echo json_encode($rows);
